# **GitWiz** ![Status](https://img.shields.io/badge/status-active-success) ![License](https://img.shields.io/badge/license-Apache2.0-blue)

## **Table of Contents**
- [Description](#description)
- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [License](#license)
- [Contributing](#contributing)
- [Contact](#contact)

---

## **Description**
GitWiz is a command-line tool designed to simplify Git operations and automate README generation. It integrates **AI-powered README generation** using **Mistral AI** and **DeepSeek** models, along with additional Git automation features.

Whether you need to generate a structured **README** file with AI assistance or streamline Git workflows, **GitWiz** makes it effortless.

---

## **Features**
- 📜 **AI-generated README** – Automatically create structured README files.  
- 🛠️ **Manual input mode** – Customize README content manually.  
- ⚡ **Git automation** – Automate repository management with GitPython.  
- 🎨 **CLI Formatting** – Uses **colorama** and **pyfiglet** for a stylish terminal experience.  
- 🔍 **License Selection** – Supports multiple open-source licenses.  
- ✅ **Easy Installation** – Simple setup and installation.  

---

## **Installation**
### **Prerequisites**
- **Python 3.7+** installed  
- **pip** (Python package manager)  
- **Git installed** on your system  

### **Install via pip**
```bash
pip install GitWiz
```
### Install from source
```bash
git clone https://github.com/ajinkya-25/GitWiz.git
cd GitWiz
pip install .
```
---
## Usage
After installing GitWiz, you can run it from the command line.

### Start GitWiz
```bash
gitwiz
```
Then enter repo link and repo URL.
Select from the commands prompted.

---
# License
This project is licensed under the Apache-2.0 License.

See the [LICENSE](LICENSE) file for more details.

---
## Contributing
Contributions are welcome! 🚀

To contribute:

    1)Fork the repository.

    2)Create a new branch (git checkout -b feature-branch).

    3)Commit changes (git commit -m "Add new feature").

    4)Push to the branch (git push origin feature-branch).

    5)Create a Pull Request.

---
## Contact

🔗 GitHub: [Github](https://github.com/Ajinkya-25)
